Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class PotentialDuplicate

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.objects.PotentialDuplicate

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class PotentialDuplicate
extends ObjectNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`PotentialDuplicate()` Creates new potentialDuplicate
`PotentialDuplicate(java.lang.String euid1, java.lang.String euid2, float probability, java.lang.String highmatchflag, java.util.Date datetime, java.lang.String potdupsignature, java.lang.String targetsignature, java.lang.String description)` Creates new potentialDuplicate

Method Summary
`boolean` | `equals(PotentialDuplicate potdup)`
`java.util.Date` | `getDateTime()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEUID1()`
`java.lang.String` | `getEUID2()`
`java.lang.String` | `getHighMatchFlag()`
`java.lang.String` | `getPotDupSignature()`
`float` | `getProbability()`
`java.lang.String` | `getTargetSignature()`
`int` | `hashCode()` hash code
`void` | `setDateTime(java.util.Date datetime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEUID1(java.lang.String euid1)`
`void` | `setEUID2(java.lang.String euid2)`
`void` | `setHighMatchFlag(java.lang.String highmatchflag)`
`void` | `setPotDupSignature(byte[] potdupsignature)`
`void` | `setProbability(float probability)`
`void` | `setTargetSignature(byte[] targetsignature)`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, copy, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, structCopy, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PotentialDuplicate

    public PotentialDuplicate()
                       throws ObjectException

  Creates new potentialDuplicate

  Throws:
    `ObjectException` - object exception

### PotentialDuplicate

    public PotentialDuplicate(java.lang.String euid1,
                              java.lang.String euid2,
                              float probability,
                              java.lang.String highmatchflag,
                              java.util.Date datetime,
                              java.lang.String potdupsignature,
                              java.lang.String targetsignature,
                              java.lang.String description)
                       throws ObjectException

  Creates new potentialDuplicate

  Parameters:
    `euid1` - euid1
    `euid2` - euid2
    `probability` - probability
    `highmatchflag` - high match flag
    `datetime` - date time
    `potdupsignature` - potential duplicate signature
    `targetsignature` - target signature
    `description` - description
  Throws:
    `ObjectException` - object exception

Method Detail

### equals

    public boolean equals(PotentialDuplicate potdup)
                   throws ObjectException

  Parameters:
    `potdup` - potential duplicate
  Returns:
    boolean boolean flag
  Throws:
    `ObjectException` - object exception

### getDateTime

    public java.util.Date getDateTime()
                               throws ObjectException

  Returns:
    Date date time
  Throws:
    `ObjectException` - object exception

### getDescription

    public java.lang.String getDescription()
                                    throws ObjectException

  Returns:
    String description
  Throws:
    `ObjectException` - object exception

### getEUID1

    public java.lang.String getEUID1()
                              throws ObjectException

  Returns:
    String euid 1
  Throws:
    `ObjectException` - object exception

### getEUID2

    public java.lang.String getEUID2()
                              throws ObjectException

  Returns:
    String euid 2
  Throws:
    `ObjectException` - object exception

### getHighMatchFlag

    public java.lang.String getHighMatchFlag()
                                      throws ObjectException

  Returns:
    String high match flag
  Throws:
    `ObjectException` - object exception

### getPotDupSignature

    public java.lang.String getPotDupSignature()
                                        throws ObjectException

  Returns:
    String potential duplicate signature
  Throws:
    `ObjectException` - object exception

### getProbability

    public float getProbability()
                         throws ObjectException

  Returns:
    float probability
  Throws:
    `ObjectException` - object exception

### getTargetSignature

    public java.lang.String getTargetSignature()
                                        throws ObjectException

  Returns:
    String target signature
  Throws:
    `ObjectException` - object exception

### hashCode

    public int hashCode()

  hash code

  Overrides:
    `hashCode` in class `ObjectNode`
  Returns:
    int hash code

### setDateTime

    public void setDateTime(java.util.Date datetime)
                     throws ObjectException

  Parameters:
    `datetime` - date time
  Throws:
    `ObjectException` - object exception

### setDescription

    public void setDescription(java.lang.String description)
                        throws ObjectException

  Parameters:
    `description` - description
  Throws:
    `ObjectException` - object exception

### setEUID1

    public void setEUID1(java.lang.String euid1)
                  throws ObjectException

  Parameters:
    `euid1` - EUI d1
  Throws:
    `ObjectException` - object exception

### setEUID2

    public void setEUID2(java.lang.String euid2)
                  throws ObjectException

  Parameters:
    `euid2` - EUI d2
  Throws:
    `ObjectException` - object exception

### setHighMatchFlag

    public void setHighMatchFlag(java.lang.String highmatchflag)
                          throws ObjectException

  Parameters:
    `highmatchflag` - high match flag
  Throws:
    `ObjectException` - object exception

### setPotDupSignature

    public void setPotDupSignature(byte[] potdupsignature)
                            throws ObjectException

  Parameters:
    `potdupsignature` - pot dup signature
  Throws:
    `ObjectException` - object exception

### setProbability

    public void setProbability(float probability)
                        throws ObjectException

  Parameters:
    `probability` - probability
  Throws:
    `ObjectException` - object exception

### setTargetSignature

    public void setTargetSignature(byte[] targetsignature)
                            throws ObjectException

  Parameters:
    `targetsignature` - target signature
  Throws:
    `ObjectException` - object exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.